Redmine - Patch #26503

Update nokogiri gem (~> 1.8.0)
2017-07-23 16:58 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version: 4.0.0

Description

Now we can update Nokogiri to 1.8.0 because Ruby 2.1 support has been dropped by #25538 and #23630.

Quotation from CHANGELOG of Nokogiri 1.8.0 :

This release ends support for Ruby 2.1 on Windows in the x86-mingw32 and x64-mingw32 platform gems (containing
pre-compiled DLLs). Official support ended for Ruby 2.1 on 2017-04-01.

Index: Gemfile

—-—— Gemfile (revision 16868)
+++ Gemfile (working copy)
@@ -13,7 +13,7 Q@

gem "roadie", "~> 3.2.1"

gem "mimemagic"

-gem "nokogiri", "~> 1.7.2"
+gem "nokogiri", "~> 1.8.0"

gem "il18n", "~> 0.7.0"

# Request at least rails-html-sanitizer 1.0.3 because of security advisories

Related issues:
Related to Redmine - Defect #27505: Cannot install nokogiri 1.7 on Windows Ru... Closed
Blocked by Redmine - Feature #25538: Drop support for Ruby 2.2.1 and ealier, ... Closed

Associated revisions

Revision 16885 - 2017-07-25 19:29 - Jean-Philippe Lang
Update nokogiri gem (~> 1.8.0) (#265083).

Patch by Go MAEDA.

History

#1 - 2017-07-23 18:49 - Jean-Philippe Lang

- Target version set to 4.0.0

#2 - 2017-07-23 23:53 - Go MAEDA
- Blocked by Feature #25538: Drop support for Ruby 2.2.1 and ealier, 2.2.2+ is now required added

#3 - 2017-07-25 19:29 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#4 - 2017-12-11 14:02 - Toshi MARUYAMA
- Related to Defect #27505: Cannot install nokogiri 1.7 on Windows Ruby 2.4 added
https://www.redmine.org/issues/25538
https://www.redmine.org/issues/23630
https://github.com/sparklemotion/nokogiri/blob/master/CHANGELOG.md#180--2017-06-04
